E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
GPop::Secrets Class Reference

A simple interface to a store of secrets as used in authentication. More...

`#include <gpopsecrets.h>`

Inheritance diagram for GPop::Secrets:

## Public Member Functions
| Secrets (const std::string &storage_path=defaultPath())
| Constructor. More...
virtual | ~Secrets ()
| Destructor.
std::string | path () const
| Returns the storage path.
virtual bool | valid () const override
| Override from GSmtp::Valid virtual base class.
virtual std::string | source () const override
| Override from GAuth::SaslServerSecrets.
virtual GAuth::Secret | serverSecret (const std::string &encoding_type, const std::string &id) const override
| Override from GSmtp::SaslServer::Secrets.
virtual std::pair< std::string, std::string > | serverTrust (const std::string &) const override
| Override from GSmtp::SaslServer::Secrets.
bool | contains (const std::string &mechanism) const
| Returns true if there is one or more secrets using the given mechanism. More...
Public Member Functions inherited from GAuth::Valid
virtual | ~Valid ()
| Destructor.

## Static Public Member Functions
static std::string | defaultPath ()
| Returns the default path.

## Detailed Description

A simple interface to a store of secrets as used in authentication.

Definition at line 43 of file gpopsecrets.h.

## Constructor & Destructor Documentation

GPop::Secrets::Secrets | ( | const std::string & | storage_path = `defaultPath()` | ) |
| explicit

Constructor.

In principle the storage_path can be a path to a file, a database connection string, etc. Throws on error.

Definition at line 34 of file gpop_disabled.cpp.

## Member Function Documentation

bool GPop::Secrets::contains | ( | const std::string & | mechanism | ) | const
| virtual

Returns true if there is one or more secrets using the given mechanism.

Implements GAuth::SaslServerSecrets.

Definition at line 57 of file gpop_disabled.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gpop/gpopsecrets.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gpop/gpop_disabled.cpp
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gpop/gpopsecrets.cpp
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gpop/gpopsecrets_unix.cpp